function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
  show_help_wnd=true;
	init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ "НЕПЕРЕСЕКАЮЩИЙСЯ ПУТЬ"
--  1-й параметр - Код игры. Код этой игры - 30.
--  2-й параметр - Количество контрольных пунктов.
--  3-й параметр - Люфт.
--  4-й параметр - Стартовый идентификатор контрольных пунктов.
--  5-й параметр - Имя текстуры нити.
--                 P.S. Для создания нитевых следов должен быть оставлен коридор
--                      идентификаторов от 4-й+2-й и до 4-й+2*2-й-1
	create_mini(30,27,16,1004,"texture");
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==30 then
		setcurentleaf("stefani",9,0);
		FreeCustomCursor(1032+27);
		DarkScreen(false);
		if flags.minicomplete then
			StopEmiter("Panno");	
			AddParticleToObject(46,"Paper",0,0);
			StartEmiter("Paper");
			MoveEmiter("Paper",469,451);			
			speciale_action(2,46,true);	
			setcolor(46,0,0,0,1,1);
			Set_Cursor(9,3);
			savegame(SaveLevel())
		return;end;
	return; end;
	if sender==36 then
		if id==2100 then	
		BlockCursor(false);
		clear_satelite_leaf("stefani");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true);
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
	if id==6000 then
		   CreateWindow(200,200,"1",100,"messageinfo")
	return;end;		
	if id==5000 and skipping then
		if not flags.minicomplete then
			playeffect("skip");
			finish_mini_game(true);
		return;end;	
	return;end;
	if id==1032+27 then
		needle=true;
		SetCustomCursor(1032+27)
	end;
	if id>=1004 and id<=1030 then
	
	check_mini_game_Confluence();
	return;end;
    if id==1002
      then
        mini_game_reset_Confluence();
        return;
      end;
		if attachedID==-1 then
			if id==1001 then
				playeffect("close");
				finish_mini_game(false);
				clear_satelite_leaf("stefani");
				DeleteResource("texture");
				DeleteResource("begin");
				DeleteResource("hole");
				DeleteResource("end");
				DeleteResource("bg1");
				DeleteResource("needle");
				DeleteResource("bg");
				DeleteResource("btn");
				DeleteResource("Reset");
			return;end
		return;end
	return;end;
	
	if sender==6 then
	if needle then
	playeffect("pclick");
    check_mini_game_Confluence();
	return;end;
	return;end;
			
end;
function mini_delete ()

end;